<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<title>Bootstrap Grid System</title>
	<!-- bootstrap -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
</head>
<body>

	<h1 class="text-center">Bootstrap Grid System</h1>

	<!-- Two Column Layout -->
	<h2 class="text-center">Two Column Layout</h2>
	<!-- class container with grid -->
<!-- 	<div class="container bg-dark">
		<h3 class="text-center">1:1 Ratio</h3>
		<div class="row text-white text-center">
			<div class="bg-primary p-3 border border-dark col-6">6 Columns
			</div>
			<div class="bg-danger p-3 border border-dark col-6">6 Columns</div>
		</div>
	</div> -->
	<div class="container-fluid bg-secondary mt-3">
		<h3 class="text-center">1:1 Ratio</h3>
		<div class="row text-white text-center">
			<div class="bg-primary p-3 border border-dark col-6">
				6 Columns
			</div>
			<div class="bg-danger p-3 border border-dark col-6">
			6 Columns
			</div>
		</div>
		<h3 class="text-center">1:2 ratio</h3>
		<div class="row text-center mt-3">
			<div class="bg-info border border-dark col-4">4 col</div>
			<div class="bg-warning border border-dark col-8">8 col</div>
			<!-- If the number of columns in a row exceeds 12, the next div will overflow to the next line -->
			<div class="bg-warning border border-dark col-3">3 col</div>
		</div>
	</div>
	<!-- Bootstrap Grid System runs on a rule of CRC
		
			Contanier - sets the max width of our grid 
				Row - holds 12 column. Each row divided equally to 12
					Column - is where our content will be added.
	 -->
	 <!-- Three Column Layout -->
	 <h2 class="text-center my-5">Three Column Layout</h2>
	 <div class="container-fluid bg-secondary">
	 	<h3 class="text-center">1:1:1</h3>
	 	<div class="row text-center">
	 		<div class="col-4 bg-info border border-dark p-3">4 col</div>
	 		<div class="col-4 bg-warning border border-dark p-3">4 col</div>
	 		<div class="col-4 bg-success border border-dark p-3">4 col</div>
	 	</div>
	 	<h3 class="text-center">Uneven Columns</h3>
	 	<div class="row text-center">
	 		<div class="col-5 bg-primary border border-dark p-3">5 col</div>
	 		<div class="col-4 bg-danger border border-dark p-3">4 col</div>
	 		<div class="col-3 bg-success border border-dark p-3">3 col</div>
	 		</div>
	 	</div>

	 <!-- columns with content -->
	 <h2 class="text-center my-5">Column with Sample Content</h2>
	 	<div class="container-fluid bg-dark">
	 		<div class="row">
	 			<div class="col-6 p-3">
	 				<h3>Sample Content</h3>
	 				<p class="mt-2">
	 					Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
	 				</p>
	 			</div>
	 		<div class="col-6 p-3">
	 			<img src="https://place-puppy.com/1000x1000" class="img-fluid">
	 			</div>
	 		</div>
	 	</div>

	 	<!-- Mini-activity
			Create an h3 with text centered and with 48px of margin at the top and bottom
				-Mini Activity with 3 columns

			Create a div with class container-fluid to set our max width
				Create a new row 
					Creat 3 columns of different sizes
						first column should occupy 5 columns
						second column should occupy 2 columns
						third column should occupy 5 columns

						In the first colum the following h3:
							"This text is bigger than the picture"
							-h3 should be centered
						In  the second column add an img with the href the instructor will send in the chat
							-img shuold resize to fit its container
							-no overflow
							In third column add a paragraph element:
							"This text's column is bigger that the picture"
	 	 -->


	 	 <h3 class="my-5 text-center">Mini Activity with 3 columns</h3>
	 	 <div class="container-fluid">
	 	 	<div class="row">
	 	 	<div class="col-5">
	 	 	<h3>
	 	 		This text's bigger than the picture
	 	 	</h3>
	 	 </div>
	 	 	<div class="col-2">
	 	 		<img src="https://placebear.com/500/500" class="img-fluid">
	 	 	</div>
	 	 	<div class="col-5">	 	 	
	 	 		<p>This text's bigger than the picture</p>
	 	 		</div>
	 	 	</div>
	 	 </div>

	 <!-- auto columns -->
	 <h2 class="my-5 text-center">Auto Columns</h2>
	 <!-- To add the number of columns a div in a row can occupy the syntax of the bootstrap is this: col-<#col> -->
	 	<div class="container-fluid bg-secondary">
	 		<div class="row">
	 			<!-- when creating a column but not prociding the total number of grid ccolumns to occupy, bootstrap will then assign and calculate the total number of columns left in the row and assign per auto column accordingly -->
	 		<div class="bg-danger border border-dark p-3 col">Auto 1</div>
	 		<div class="bg-success border border-dark p-3 col">Auto 2</div>
	 		<div class="bg-info border border-dark p-3 col">Auto 3</div>
	 		<div class="bg-success border border-dark p-3 col">Auto 4</div>
	 		<div class="bg-light border border-dark p-3 col">Auto 5</div>
	 		<div class="bg-secondary border border-dark p-3 col">Auto 6</div>
	 		<div class="bg-primary border border-dark p-3 col">Auto 7</div>
	 		</div>
	 		<div class="row my-5">
	 			<div class="col-6 bg-primary border border-dark">
	 				Col 6
	 	        </div>
	 	        <div class="col bg-success border border-dark">auto</div>
	 	        <div class="col bg-info border border-dark">auto</div>
	 	        <div class="col bg-danger border border-dark">auto</div>
	 		</div>
	 	</div>

	 <!-- bearkpoints and columns -->
	 <h2 class="my-5 text-center">Breakpoints and Columns</h2>
	 <div class="container-fluid bg-dark">
	 	<div class="row">
	 <!-- by defaults a column will occupy 12 columns, until its breakpoint. a breakpoint is the screen, or screen size where in the number of columns given will take affect -->
	 		<div class="col-lg-6 bg-danger border border-dark p-3">6 Cols in lg, 12 cols in xs</div>
	 		<!-- By the declaring or adding col without brakpoint this means that this dic has 6 columns from the smallest screen to the largest -->
	 		<div class="col-6 bg-primary border border-dark p-3">6 cols all screens</div>
	 	</div>
	 	<!-- without setting the number of columns from the smallest screen, by default, the column will occupy 12 columns until breakpoint -->
	 	<div class="row my-5">
	 		<!-- column with breakpoint means the number of columns from the smallest screen until the breakpoint. From the breakpoint, lg, this div is now 8 columns. -->
	 		<div class="col-3 col-lg-8 bg-info border border-dark p-3"> col-lg-8</div>
	 		<div class="col-md-4 bg bg-warning border border-dark">
	 			col-md-4
	 		</div>
	 	</div>
	 	<!--
		Breakpoints

		You can set the number of columns a div occupies per screen using breakpoint.
		However, by default from the smallest screen a div with class col will occupy 12 columns.

		This is because, bootstrap is a mobile-first approach to styling a web page.

		Since bootstrap takes a mobile -first approach, the default breakpoints is for the smallest screen.

		Meaning Until you add a breakpoint (sm,md,lg,xl) the number of columns a div will occupy will be same from the smallest to the largest screen.
		
	 	 Columns can be sized with breakpoints starting from the smallest screen:

		col-* from the smallest screen
		col-sm-* breakpoint from small screen or about 576px screen width
		col-md-* breakpoint from the medum screen or tablet or 768px screen width
		col-lg-* breakpoint from the large screen or laptop, or 992px screen width
		col-xl-* breakpoint from the largest screen or  1200px screen width

		Id a div in a row has the following classes:
		col-6 col-md-10 
		How many columns does the div occupy in the smallest screen? 6
		How many columns does the div occupy in the medium screen? 10
		How many columns does the div occupy in the largest screen? 10

		col-sm-10
		How many columns does the div occupy in the smallest screen? 12
		How many columns does the div occupy in the small screen? 10
		How many columns does the div occupy in the medium screen? 10
		How many columns does the div occupy in the largest screen? 10

		col-12
		How many columns does the div occupy in the smallest screen? 12
		How many columns does the div occupy in the small screen? 12
		How many columns does the div occupy in the medium screen? 12
		How many columns does the div occupy in the largest screen? 12

		col-3 col-lg-6

		How many columns does the div occupy in the smallest screen? 3
		How many columns does the div occupy in the small screen? 3
		How many columns does the div occupy in the medium screen? 3
		How many columns does the div occupy in the largest screen? 6

		col-md-8

		How many columns does the div occupy in the smallest screen? 12
		How many columns does the div occupy in the small screen? 12
		How many columns does the div occupy in the medium screen? 8
		How many columns does the div occupy in the largest screen? 8

	 	 -->
	 <!-- 
	 	Mini Activity

	 	Add an h3 with the text Mini Activity Breakpoints
	 		-center thebtext
	 		-add 48px margin from the top and bottom of the element

	 	Create a row with 2 divs
	 		First Div:
	 		-occupies 6 columns from smallest screen to largest screen
	 		-bg color is primary
	 		-border color is black
	 		-padding 3 on all sides

	 		Second div
	 		-occupies 6 columns from the smallest screen
	 		-occupies 10 columns from the medium to the largest screen
	 		-bg color is primary
	 		-border color is black
	 		-padding 3 on all sides.	 		


	  -->


	  <h3 class="text-center my-5">Mini Activity with Breakpoints</h3>

	  <div class="row mb-5">
	  	<div class="col-6 bg-primary border border-dark p-3"></div>
	  	<div class="col-6 col-md-10 bg-danger border border-dark p-3"></div>
	  </div>

	  <div class="row">
	  	<div class="col-md-8 bg-success border border-dark p-3">div1</div>
	  	<div class="col-6 col-md-2 bg-info border border-dark p-3">div2</div>
	  	<div class="col-6 col-md-2 bg-info border border-dark">div3</div>
	  </div>
	  <!-- Breakpoints with Text Alignment -->
	  <!-- Default alignment of text: text-left -->
	  <h3 class="text-md-center my-5">Text Alignment with Breakpoints</h3>
	  <div class="row">
	  	<div class="col-6 col-md-8 text-right text-md-left bg-primary border border-dark">
	  		Div 1
	  </div>
	  	<div class="col-6 col-md-4 text-md-right bg-danger border border-dark p-3">
	  		Div 2
	  	</div>
	  	<div></div>
	  </div>

	  <h2 class="text-center my-5">Display Order with Breakpoints</h2>
	  <div class="row">
	  		<div class="col-6 col-md-10 order-2 order-md-1 bg-warning border border-dark p-3">Div 1</div>
	  		<div class="col-6 col-md-2 order-1 order-md-2 bg-primary border border-dark p-3">Div 2</div>
	  	
	  </div>

	  <h3>Mini activity with Order</h3>
	  <div class="row">
	  	<div class="col-4 bg-warning border border-dark p-3 order-1 order-md-2 order-lg-3">
	  		Lebron
	  	</div>
	  	<div class="col-4 bg-primary border border-dark p-3  order-3 order-md-1 order-lg-2 ">
	  		Curry
	  	</div>
	  	<div class="col-4 bg-secondary border border-dark p-3 text-white order-2 order-md-3  order-lg-1">
	  		Durant
	  	</div>
	  </div>



	 </div>




	 <!-- offseating columns -->


<!-- js dependencies-->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>
</body>
</html>